REST reference
Problem Admin
curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0}curl -X DELETE "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
PUT
/problems/{id}Path Parameters
id*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "name": "string", "type": "string" }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0}POST
/problems/{id}/archivedPath Parameters
id*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/archived" \ -H "Content-Type: application/json" \ -d '{ "archived": true }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0}curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate"{ "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0}POST
/problems/{id}/visibilityPath Parameters
id*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/visibility" \ -H "Content-Type: application/json" \ -d '{ "visibility": "string" }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "external": true, "ownerUserId": "string", "ownerName": "string", "visibility": "string", "sharedWith": [ "string" ], "archivedAt": "string", "currentVersion": 0, "versionCount": 0, "createdAt": "string", "attachedCount": 0}curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"[ { "id": "string", "version": 0, "createdAt": "string", "createdByName": "string", "note": "string", "props": null, "hasPackage": true, "files": [ { "name": "string", "scope": "string", "mimeType": "string", "sizeBytes": 0, "sha256": "string", "fileId": "string" } ] }]GET
/problems/{problemId}/versions/{versionId}/contentPath Parameters
problemId*string
Format
uuidversionId*string
Format
uuidResponse Body
curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/content"[ { "name": "string", "language": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 }]GET
/problems/{problemId}/versions/{versionId}/packagePath Parameters
problemId*string
Format
uuidversionId*string
Format
uuidResponse Body
curl -X GET "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/package"Empty